/* CSS FOR DARK / LIGHT MODE TOGGLE SWITCH */

.switch-container {
	background-color: #777;
	max-width: 160px;
	max-height: 60px;
	z-index: 1030;
}

/* The switch - the box around the slider */
.mode-switch {
  position: relative;
  display: inline-block;
  align-content: center;
  width: 134px;
  height: 38px;
  z-index: 1040;
}

/* Hide default HTML checkbox */
.mode-switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

/* The slider */
.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: var(--backdrop-title);
  -webkit-transition: .4s;
  transition: .4s;
  z-index: 1050;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: var(--font);
  -webkit-transition: .4s;
  transition: .4s;
  z-index: 1050;
  border: 2px solid black;
}

input:checked + .slider {
  background-color: var(--backdrop-title);
}

input:focus + .slider {
  box-shadow: 0 0 1px var(--shadow);
}

input:checked + .slider:before {
  -webkit-transform: translateX(96px);
  -ms-transform: translateX(96px);
  transform: translateX(96px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}

.mode-display {
	position: absolute;
	display: inline;
	cursor: pointer;
	left:50%;
	top: 50%;
	transform: translate(-50%,-50%);
	margin: auto;
	font-size: 0.75rem;
	vertical-align: middle;
	align-content: center;
	color: var(--font-title);
	z-index: 1060;
}
#light-mode {
	display: var(--hide-light);
}

#dark-mode {
	display: var(--hide-dark);
}